###########################################################
# Capture device options
############################################################

input 1
rotate 0
width 320
height 240
framerate 3
#TV-IP 100
netcam_url http://192.168.0.20/VIDEO.CGI
netcam_userpass username:password
auto_brightness on
brightness 0
contrast 0
saturation 0
hue 0


############################################################
# Round Robin (multiple inputs on same video device name)
############################################################
#I dont use this

roundrobin_frames 1
roundrobin_skip 1
switchfilter off


############################################################
# Motion Detection Settings:
############################################################

threshold 1500
threshold_tune off
noise_level 32
noise_tune on
night_compensate off
despeckle EedDl
smart_mask_speed 0
lightswitch 0
minimum_motion_frames 1
pre_capture 0
post_capture 0
gap 60
max_mpeg_time 0
low_cpu 0
output_all off

############################################################
# Image File Output
############################################################

output_normal best
output_motion off
quality 100
ppm off


############################################################
# Snapshots (Traditional Periodic Webcam File Output)
############################################################

snapshot_interval 300

############################################################
# Text Display
############################################################

locate off
text_right %Y-%m-%d\n%T
text_left moco (%t)
text_changes off
text_event %Y%m%d%H%M%S
text_double off

############################################################
# Target Directories and filenames For Images And Films
############################################################

target_dir /var/www/htdocs/webcam/cam3
snapshot_filename snapshot/%Y%m%d/%v-%Y%m%d%H%M%S-snapshot
jpeg_filename %v-%Y%m%d%H%M%S-%q

############################################################
# Live Webcam Server
############################################################

webcam_port 8083
webcam_quality 75
webcam_motion off
webcam_maxrate 1
webcam_localhost on
webcam_limit 600

############################################################
# External Commands, Warnings and Logging:
############################################################

quiet on
